%global pypi_name opensearch-py
%global pypi_version 1.0.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        3%{?dist}
Summary:        Python low-level client for OpenSearch

License:        ASL 2.0
URL:            https://github.com/opensearch-project/%{pypi_name}
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
opensearch-py is a community-driven, open source OpenSearch client
licensed under the Apache v2.0 License. 
For more information, see opensearch.org.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
opensearch-py is a community-driven, open source OpenSearch client
licensed under the Apache v2.0 License. 
For more information, see opensearch.org.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files opensearchpy

# Tests disabled they install all git clone an opensearch server.
%check
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md

%changelog
* Wed Feb 9 2022 Steve Traylen <steve.traylen@cern.ch> -1.0.0-3
- Migrate to pyproject macros

* Thu Dec 9 2021 Steve Traylen <steve.traylen@cern.ch> - 1.0.0-2
- Review corrections rhbz#2016597

* Fri Oct 22 2021 Steve Traylen <steve.traylen@cern.ch> - 1.0.0-1
- Initial package.
